# $Id: smeserver-webapps-common.spec,v 1.0 2009/09/30 16:20:28 slords Exp $
# Authority: VIP-ire
# Name: Daniel B.

Summary: Common WebApps Framework for SME Server
%define name smeserver-webapps-common
Name: %{name}
%define version 0.1
%define release 9
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SMEServer/addon

Source: %{name}-%{version}.tar.gz

Patch0: smeserver-webapps-common-0.1-include_vhost_templates.patch
Patch1: smeserver-webapps-common-0.1-force_ssl_for_lemonldap.patch
Patch2: smeserver-webapps-common-0.1-fix_templates_1.patch
Patch3: smeserver-webapps-common-0.1-load_mod_authn_file.patch
Patch4: smeserver-webapps-common-0.1-check_if_authn_file_exists.patch
Patch5: smeserver-webapps-common-0.1-selective_ssl_rewrite.patch
Patch6: smeserver-webapps-common-0.1-load_extras_apache_modules.patch
Patch7: smeserver-webapps-common-0.1-add_sslcacertificatefile_directive.patch
Patch8: smeserver-webapps-common-0.1-phpki_support.patch
Patch9: smeserver-webapps-common-0.1-stop_restarting_mysqld.patch

URL: http://www.firewall-services.com/
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
Requires: httpd
Requires: mysql
Requires: php
Requires: openssl-perl
BuildRequires: e-smith-devtools

%description
This package provide common files and events for Web Applications integration
on SME Server

%changelog
* Tue Mar 8 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Integration with PHPki
- Stop restarting mysqld service

* Mon Mar 7 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Add SSLCACertificateFile directive

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Fix httpd template syntax

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Load some additional modules for apache if they are found

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- RequireSSL can take a list of location to rewrite

* Thu Dec 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Only load authn_file if the module exists

* Sun Dec 25 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Load mod_authn_file

* Thu Dec 16 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-2.sme
- Provide alternative WebAppVirtualHost templates

* Fri Dec 10 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- Add DocumentRoot prop for domains

* Wed Sep 30 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- Initial rpm

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks
%{__mkdir_p} root/etc/pki/tls/crl

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

